Subject: Re: [bug#29896] [PATCH] gnu: java-asm: Update to 6.0.

From: Gábor Boskovits <[email-masked]>
Date: Fri, 19 Jan 2018 09:11:58 +0100

Actually I did forget to check if it is used runtime.
It is used to build and OSGi bundle.
At first I tried to fake the dependency like for the ant tasks,
but I got compilation errors.

2018-01-19 7:35 GMT+01:00 Chris Marusich <[email-masked]>:

> Gábor Boskovits <[email-masked]> writes:
>
> > +    (inputs
> > +     `(("java-aqute-bndlib" ,java-aqute-bndlib)
> > +       ("java-aqute-libg" ,java-aqute-libg)))
> >      (arguments
> >       `(#:build-target "compile"
> >         ;; The tests require an old version of Janino, which no longer
> compiles
> > @@ -2679,7 +2682,9 @@ archives (jar).")
> >         #:tests? #f
> >         ;; We don't need these extra ant tasks, but the build system
> asks us to
> >         ;; provide a path anyway.
> > -       #:make-flags (list (string-append "-Dobjectweb.ant.tasks.path=
> foo"))
> > +       #:make-flags (list (string-append "-Dobjectweb.ant.tasks.path=
> foo")
> > +                          (string-append "-Dbiz.aQute.bnd.path="
> > +                                         (assoc-ref %build-inputs
> "java-aqute-bndlib")))
>
> Even though we added some inputs, there appear to be no retained
> references in the output, as shown by this command:
>
>   guix gc --referrers $(./pre-inst-env guix build java-asm)
>
> Is this expected?  At first blush, this seems reasonable only if
> java-aqute-bndlib and java-aqute-libg are not required at runtime.
> Perhaps Ricardo knows more, since he has more experience working with
> the ant-build-system.
>
> --
> Chris
>